# Additional editing of Makefiles
/^CEOF$/ i\
# DJGPP specific Makefile changes.\
  /^aliaspath *	*=/s,:,";",g\
  /TEXINPUTS=/s,:,";",g\
  /PATH=/s,:,";",g\
  s,\\.deps,_deps,g\
  s,\\.new\\.,_new.,g\
  s,\\.old\\.,_old.,g\
  s,\\.tab\\.,_tab.,g\
  s,Makefile\\.in\\.in,Makefile.in-in,g\
  s,Makefile\\.am\\.in,Makefile.am-in,g\
  /^doc:/ s/[ 	]pdf//\
  /^info:$/,/^doc:/ {\
    s,marst\\\.texinfo,\\\$(srcdir)/&,\
    s,texi2html,perl \\\$(srcdir)/djgpp/&,\
    s,dvi2ps,dvips,\
    s,> marst\\\.ps,-o marst.ps,\
  }\
  /mostlyclean distclean maintainer-clean/ s/$/ install-info install-info-am/\
  /@\\\$(MAKE).*install-data-am/ s/$/ install-info-am/\
  /^tags:/ i\\\\\
install-info-am: info\\\\\
	@\\\\\\$(NORMAL_INSTALL)\\\\\
	\\\\\\$(mkinstalldirs) \\\\\\$(DESTDIR)\\\\\\$(infodir)\\\\\
	@list='marst.info'; \\\\\\\\\\\\\
	for file in \\\\\\$\\\\\\$list; do \\\\\\\\\\\\\
	  d=./; \\\\\\\\\\\\\
	  for ifile in echo \\\\\\$\\\\\\$d/\\\\\\$\\\\\\$file \\\\\\$\\\\\\$d/\\\\\\$\\\\\\$file-[0-9] \\\\\\$\\\\\\$d/\\\\\\$\\\\\\$file-[0-9][0-9] \\\\\\$\\\\\\$file[0-9] \\\\\\$\\\\\\$file[0-9][0-9]; do \\\\\\\\\\\\\
	    if test -f \\\\\\$\\\\\\$ifile; then \\\\\\\\\\\\\
	      relfile=\\\\\\`expr "\\\\\\$\\\\\\$ifile" : "\\\\\\$\\\\\\$d/\\\\\\\(.*\\\\\\\)"\\\\\\`; \\\\\\\\\\\\\
	      echo " \\\\\\$(INSTALL_DATA) \\\\\\$\\\\\\$ifile \\\\\\$(DESTDIR)\\\\\\$(infodir)/\\\\\\$\\\\\\$relfile"; \\\\\\\\\\\\\
	      \\\\\\$(INSTALL_DATA) \\\\\\$\\\\\\$ifile \\\\\\$(DESTDIR)\\\\\\$(infodir)/\\\\\\$\\\\\\$relfile; \\\\\\\\\\\\\
	    else : ; fi; \\\\\\\\\\\\\
	  done; \\\\\\\\\\\\\
	done\\\\\
	@\\\\\\$(POST_INSTALL)\\\\\
	@if (install-info --version && \\\\\\\\\\\\\
	     install-info --version | fgrep -i -v debian) >/dev/null 2>&1; then \\\\\\\\\\\\\
	  list='\\\\\\$(INFO_DEPS)'; \\\\\\\\\\\\\
	  for file in \\\\\\$\\\\\\$list; do \\\\\\\\\\\\\
	    echo " install-info --info-dir=\\\\\\$(DESTDIR)\\\\\\$(infodir) \\\\\\$(DESTDIR)\\\\\\$(infodir)/\\\\\\$\\\\\\$file"; \\\\\\\\\\\\\
	    install-info --info-dir=\\\\\\$(DESTDIR)\\\\\\$(infodir) \\\\\\$(DESTDIR)\\\\\\$(infodir)/\\\\\\$\\\\\\$file || :; \\\\\\\\\\\\\
	  done; \\\\\\\\\\\\\
	else : ; fi\\\\\
\
  /^check/,/^$/ {\
    s,examples,\\\$(srcdir)/&,g\
    s,\\\./,,\
    s/-I\\\./-I\\\$(srcdir)/\
  }

# Makefile.in.in is renamed to Makefile.in-in.
/^ac_config_files=/,/_ACEOF/ {
  s|po/Makefile\.in|&:po/Makefile.in-in|
}
/CONFIG_FILES=/ s|po/Makefile\.in|&:po/Makefile.in-in|2

# We always use _deps instead of .deps.
# This make the generated Makefiles good
# for every DJGPP installation, not only
# the one where the package was configured.
s,\.deps,_deps,g

# Replace (command) > /dev/null with `command > /dev/null`, since
# parenthesized commands always return zero status in the ported Bash,
# even if the named command doesn't exist
/if ([^|;]*null/{
  s,(,`,
  s,),,
  s,;  *then,`; then,
}

# DOS-style absolute file names should be supported as well
/\*) top_srcdir=/s,/\*,[\\\\/]* | ?:[\\\\/]*,

# Prevent the spliting of subs.sed.
# The sed script: subs.sed is split into 48 lines long files.
# This will produce sed scripts called subs-$ac_sed_frag.sed, where
# $ac_sed_frag is some unique number. This will not work if the splited
# sed script contains a multiple line sed command at line #48. In this
# case the first part of the multiple line sed command will be written
# at the end of one particular subs-$ac_sed_frag.sed and the rest of the
# sed command will be written at the begining of the next subs-$ac_sed_frag.sed
# making both sed script useless.
# This matches the configure script produced by Autoconf 2.52
/ac_max_sed_lines=[0-9]/ s,=.*$,=`sed -n "$=" $tmp/subs.sed`,

# The following two items are changes needed for configuring
# and compiling across partitions.
# 1) The given srcdir value is always translated from the
#    "x:" syntax into "/dev/x" syntax while we run configure.
/^[ 	]*-srcdir=\*.*$/ a\
    ac_optarg=`echo "$ac_optarg" | sed "s,^\\([A-Za-z]\\):,/dev/\\1,"`
/set X `ls -Lt \$srcdir/ i\
   if `echo $srcdir | grep "^/dev/" - > /dev/null`; then\
     srcdir=`echo "$srcdir" | sed -e "s%^/dev/%%" -e "s%/%:/%"`\
   fi
